Page MenuHomePhabricator

Move wgULSLanguageDetection variable to CommonSettings.php and document it
Closed, ResolvedPublic

Description

One of the weakness points observed in 20200225-mediawiki interface language incident is there was no inline documentation associated with the variable which could have prevented the incident.

The setting was restored in change 574743 and associated task T246071 was subsequently closed as resolved, but no documentation was added.

This point of weakness is clearly actionable and so should be acted upon. Another safeguard mentioned on Gerrit is to move the setting to CommonSettings.php since the value affects all wikis and looks unlikely to change.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2020, 11:40 AM

@Ammarpad: I don't understand what is being asked for, and where...

"Move wgULSLanguageDetection variable to CommonSettings.php" from where? InitialiseSettings.php? Somewhere else?
Add documentation where exactly? in the ULS code base? In some mediawiki-config file?

One of the weakness points observed in 20200225-mediawiki interface language inbcident is

Then it should be added to the incident documentation. :)

Ammarpad added a comment.EditedFeb 26 2020, 6:13 PM

Aklapper removed a project: Wikimedia-Incident.

The default incident report template contains the following text, in the Actionables section:
NOTE: Please add the Wikimedia-Incident Phabricator project to these follow-up tasks and move them to the "follow-up/actionable" column.
So I am not sure why you removed the tag, if the instruction is no longer valid, it should be updated to not mislead.

@Ammarpad: I don't understand what is being asked for, and where...

"Move wgULSLanguageDetection variable to CommonSettings.php" from where? InitialiseSettings.php? Somewhere else?

It's currently in InitialiseSettings.php, so yes.

Add documentation where exactly? in the ULS code base? In some mediawiki-config file?

This task is about Wikimedia configuration, I think the task title quite clearly shows that. But to clarify more: I am saying that inline doc, should be added above the variable like this. If there were such doc, this incident could have been prevented.

One of the weakness points observed in 20200225-mediawiki interface language inbcident is

Then it should be added to the incident documentation. :)

It was added already. I am quoting from there: Cf. Report conclusion

Aklapper removed a project: Wikimedia-Incident.

NOTE: Please add the Wikimedia-Incident Phabricator project to these follow-up tasks and move them to the "follow-up/actionable" column.
So I am not sure why you removed the tag, if the instruction is no longer valid, it should be updated to not mislead.

@Ammarpad: I did that because this task was/is not listed under "Actionables" on that wiki page.

Add documentation where exactly? in the ULS code base? In some mediawiki-config file?

This task is about Wikimedia configuration, I think the task title quite clearly shows that.

Thanks, in that case I'm adding Wikimedia-General-or-Unknown because tasks should have related codebases associated. :)

Change 574794 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Move wgULSLanguageDetection to the 'must not' section of CommonSettings

https://gerrit.wikimedia.org/r/574794

Change 574794 merged by jenkins-bot:
[operations/mediawiki-config@master] Move wgULSLanguageDetection to the 'must not' section of CommonSettings

https://gerrit.wikimedia.org/r/574794

Mentioned in SAL (#wikimedia-operations) [2020-02-26T23:59:53Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T246212 Set wgULSLanguageDetection false in CS (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-02-27T00:01:20Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T246212 Stop setting wgULSLanguageDetection in IS, set in CS (duration: 01m 05s)

Nirmos updated the task description. (Show Details)Mar 4 2020, 5:44 PM